"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = _default;

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

/**
 * [`@babel/preset-env`](https://babeljs.io/docs/en/next/babel-preset-env) is a smart preset that allows you to use the latest JavaScript without
 * needing to micromanage which syntax transforms (and optionally,
 * browser polyfills) are needed by your target environment(s).
 * This both makes your life easier and JavaScript bundles smaller!
 */
function _default(context, options) {
  var _options$env = options.env,
      env = _options$env === void 0 ? {} : _options$env,
      targets = options.targets,
      _options$loose = options.loose,
      loose = _options$loose === void 0 ? false : _options$loose,
      _options$modules = options.modules,
      modules = _options$modules === void 0 ? 'auto' : _options$modules,
      _options$useBuiltIns = options.useBuiltIns,
      useBuiltIns = _options$useBuiltIns === void 0 ? false : _options$useBuiltIns,
      transformRuntime = options.transformRuntime;
  var plugins = [require.resolve('@babel/plugin-syntax-dynamic-import'), [require.resolve('@babel/plugin-proposal-decorators'), {
    legacy: true
  }], [require.resolve('@babel/plugin-proposal-class-properties'), {
    loose: true
  }], require.resolve('@babel/plugin-transform-async-to-generator'), require.resolve('@babel/plugin-proposal-object-rest-spread'), require.resolve('@babel/plugin-proposal-export-namespace-from'), require.resolve('@babel/plugin-proposal-export-default-from')];

  if (transformRuntime) {
    plugins.push([require.resolve('@babel/plugin-transform-runtime'), transformRuntime]);
  }

  return {
    presets: [[require.resolve('@babel/preset-env'), (0, _objectSpread2["default"])({
      targets: targets,
      loose: loose,
      modules: modules,
      useBuiltIns: useBuiltIns
    }, env)], require.resolve('@babel/preset-typescript')],
    plugins: plugins
  };
} 
//# sourceMappingURL=index.js.map